Subject: Re: FVWM: Fvwm2 Audio ?

From: [email-masked] (Albrecht Kadlec)
Date: Wed, 26 Jun 96 11:06:06 +0200

Hello Chuck, Hello Mark & Mark (didn't know if you were subscribed)

I guess you all noticed the rumor about using rsynth's say command as
FvwmAudioPlayCmd.

say only gets the first word as a parameter, no matter if quotes are
used or not.

A> try the following patch
A> FvwmAudio: Line 302

A> 	      else  {
A> 		message = strtok(NULL, " \t");
A> -		sound = strtok(NULL, " \t");
A> +		sound = strtok(NULL, "\n");
	    
A> 		if (!message || !*message || !sound || !*sound)

A> this worked for me.

This always uses the whole rest of the line as parameter to the
play command (which can be any command, thus the parameter doesn't
have to be a filename).
If this is going into the release it needs to be documented.

If the release isn't changed, at least the old behaviour (ignoring the
rest of the line after the first word) needs to be documented.
Also I think in this case we should respect quoted parameters
("These were the times.au").

albrecht
-- 
On the outskirts of nowhere,
On the ringroad to somewhere,
On the verge of indecision,
I'll always take the roundabout way.	-- Marillion
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].